﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DrillDownChart
{
    /// <summary>
    /// Interaction logic for Details.xaml
    /// </summary>
    public partial class Details : Window
    {
       
        public Details( Expenses expenses)
        {            
            InitializeComponent();
            barSeries1.YData = expenses.ExpensesList;

            barChart1.Title = "Expenses for " + expenses.CorporationName;
            for (int i = 1; i <= barSeries1.YData.Count; i++)
                barSeries1.XData.Add(i);

            barChart1.XAxisSettings.Title = "";
            barChart1.YAxisSettings.Title = "in thousands of USD";
            barChart1.YAxisSettings.TitleRotationAngle = 90;

            barChart1.XAxisSettings.LabelType = MindFusion.Charting.Wpf.LabelType.CustomText;
            barChart1.XLabels = new List<string>() { "Marketing", "Salaries", "Raw Materials", "Logistics", "Administration", "Production"};
            barChart1.XAxisSettings.LabelRotationAngle = 30;
            barChart1.XAxisSettings.CustomLabelPosition = MindFusion.Charting.Wpf.CustomLabelPosition.ChartDataPoints;
        }






    }
}
