﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DrillDownChart
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        CompanyExpenses data = new CompanyExpenses();

        public Window1()
        {
            InitializeComponent();
            pieChart1.DataSource = data;

            MindFusion.Charting.Wpf.ChartTheme theme = new MindFusion.Charting.Wpf.ChartTheme();
            theme.BasedOn(pieChart1);
            theme.SaveToXml("D:\\test.xml");
                                           
        }

        private void pieChart1_MouseDown(object sender, MouseButtonEventArgs e)
        {
            List<MindFusion.Charting.Wpf.ChartElement> result = 
                pieChart1.HitTest(e.GetPosition(pieChart1));

            if (result.Count > 0 && result[0] is MindFusion.Charting.Wpf.PiePiece)
            {
                MindFusion.Charting.Wpf.PiePiece piece = 
                    result[0] as MindFusion.Charting.Wpf.PiePiece;

                Details d = new Details(data[piece.PieceIndex]);
                d.Show();
            }
        }
    }
}
